# encoding: utf-8
require "./kpdf"

kpdf = Kramdown::kpdf
kpdf.dir = "C:/usr/font"
kpdf.root = kpdf.table = "ipam.ttf"
kpdf.header = kpdf.codeblock = kpdf.codespan = "ipag.ttf"

mkd_str = <<EOS
# kramdownによるpdfの生成\n
kramdown ver 1.3 以降では、\
prawn(ruby用ライブラリ)を利用して\
pdfを書き出せるようになった。\n
LaTeX文書を書き出した上で、別のコマンドを使ってpdfファイルを作成する、\
そんな手順を踏まなくてもpdfを生成できる。\n
# 表の作成\n
|名称|電話番号|
|---|---|
|天気予報|177|
|時刻|117|\n
# 箇条書き\n
1. 日本
	- 東京
	- 大阪府
2. アメリカ合衆国
	- テキサス州
	- カリフォルニア州\n
EOS

pdf_str = Kramdown::Document.new(mkd_str).to_kpdf
File.open("test.pdf", "wb") {|ff|  ff.write pdf_str}
